Package: groovy.text.markup

## [Java] Class DelegatingIndentWriter

- groovy.text.markup.DelegatingIndentWriter

-     public class DelegatingIndentWriter
      extends Writer

  A writer which delegates to another writer and supports an additional indenting level.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `SPACES` |
    `static String` | `TAB` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DelegatingIndentWriter (Writer delegate)`
    `DelegatingIndentWriter (Writer delegate, String indentString)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Writer` | `append(CharSequence csq)`
    `` | `public Writer` | `append(CharSequence csq, int start, int end)`
    `` | `public Writer` | `append(char c)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public int` | `next()`
    `` | `public int` | `previous()`
    `` | `public void` | `write(int c)`
    `` | `public void` | `write(char[] cbuf)`
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(String str)`
    `` | `public void` | `write(String str, int off, int len)`
    `` | `public void` | `writeIndent()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, write, write, write, write, write, flush, close, nullWriter, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String SPACES

    - #### public static final String TAB

  - ### Constructor Detail

    - #### public DelegatingIndentWriter(Writer delegate)

    - #### public DelegatingIndentWriter(Writer delegate, String indentString)

  - ### Method Detail

    - #### @Override public Writer append(CharSequence csq)

    - #### @Override public Writer append(CharSequence csq, int start, int end)

    - #### @Override public Writer append(char c)

    - #### @Override public void close()

    - #### @Override public void flush()

    - #### public int next()

    - #### public int previous()

    - #### @Override public void write(int c)

    - #### @Override public void write(char[] cbuf)

    - #### @Override public void write(char[] cbuf, int off, int len)

    - #### @Override public void write(String str)

    - #### @Override public void write(String str, int off, int len)

    - #### public void writeIndent()